#include <iostream>
using namespace std;
int main()
{
    int n,x,p,k;
    cin>>n>>x;
    int a[n],b[n];
    for (int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int s=0,s2=0;
    for (int i=0;i<n;i++)
    {
        if (a[i]>x)   s=s+1;
        if (s==n)
        {
            p=a[n-1]-x;
            cout<<"Resenje je "<<p;
        }
        else if (s==0)
             {
               b[i]=x-a[i];
               if (b[i]>s2)
               {
                   s2=b[i];
                   cout<<"Resenje je "<<s2;
               }
             }

    }
    return 0;
}